Get a number pool
using System.Net.Http.Headers;var client = new HttpClient();var request = new HttpRequestMessage{ Method = HttpMethod.Get, RequestUri = new Uri("https://external-api.moja-ai.com/api/v1/number-pools/example?include_numbers=false"), Headers = { { "X-API-Key", "<X-API-Key>" }, },};using (var response = await client.SendAsync(request)){ response.EnsureSuccessStatusCode(); var body = await response.Content.ReadAsStringAsync(); Console.WriteLine(body);}package main
import ( "fmt" "net/http" "io")
func main() {
url := "https://external-api.moja-ai.com/api/v1/number-pools/example?include_numbers=false"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-Key", "<X-API-Key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close() body, _ := io.ReadAll(res.Body)
fmt.Println(res) fmt.Println(string(body))
}const url = 'https://external-api.moja-ai.com/api/v1/number-pools/example?include_numbers=false';const options = {method: 'GET', headers: {'X-API-Key': '<X-API-Key>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url 'https://external-api.moja-ai.com/api/v1/number-pools/example?include_numbers=false' \ --header 'X-API-Key: <X-API-Key>'Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”Query Parameters
Section titled “Query Parameters”Whether to include phone numbers in the response
Whether to include phone numbers in the response
Responses
Section titled “Responses”Successful Response
object
Unique identifier for the number pool
Unique identifier for the organization
Name of the number pool
Country for the number pool
Delay in minutes before releasing number after browser close
Delay in minutes before releasing number after browser idle
Number of phone numbers to allocate to this number pool
Type of numbers (toll_free or local)
Whether the number pool is active
Overall pool provisioning status
Whether pool has pending expansion orders
Time when the number pool was created
Time when the number pool was last updated
object
Total number of numbers in the number pool
Number of allocated numbers in the number pool
Number of available numbers in the number pool
Number of impressions per day
Number of misses per day
Number of impressions per month
Number of misses per month
Utilization rate of the number pool
object
Unique identifier for the entry in the number pool numbers table
Unique identifier for the number pool this number belongs to
Unique identifier for the number
Phone number
Whether the number is allocated
Time when the number was created
Example
{ "country": "US", "number_type": "local", "provisioning_status": "complete", "has_pending_orders": false}Bad Request
object
object
Examplegenerated
{ "detail": { "code": "example", "message": "example" }}Unauthorized
object
object
Examplegenerated
{ "detail": { "code": "example", "message": "example" }}Not Found
object
object
Examplegenerated
{ "detail": { "code": "example", "message": "example" }}Conflict
object
object
Examplegenerated
{ "detail": { "code": "example", "message": "example" }}Validation Error
object
object
object
Examplegenerated
{ "detail": [ { "loc": [ "example" ], "msg": "example", "type": "example", "input": "example", "ctx": {} } ]}Too Many Requests
object
object
Examplegenerated
{ "detail": { "code": "example", "message": "example" }}Internal server error

